Skip to main content
GET
/
campaigns
Retrieve a list of campaigns
curl --request GET \
  --url https://app.heyoo.ai/api/campaigns \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "name": "<string>",
    "status": "draft",
    "createdAt": "<string>",
    "description": "<string>",
    "destinationUrl": "<string>",
    "clicks": 123,
    "shares": 123,
    "startDate": "<string>",
    "endDate": "<string>",
    "targetShares": 123,
    "hasShared": true
  }
]

Authorizations

Authorization
string
header
required

Default authentication mechanism

Query Parameters

domain
string

The domain to filter the campaigns by. E.g. ac.me. If not provided, all campaigns for the workspace will be returned.

tagIds

The tag IDs to filter the links by.

tagNames

The unique name of the tags assigned to the short link (case insensitive).

userId
string

The user ID to filter the links by.

showArchived
enum<boolean>

Whether to include archived decks in the response. Defaults to false if not provided.

Available options:
true,
false
filter
enum<string>

The filter to apply to the campaigns.

Available options:
upcoming,
active,
non-upcoming

The search term to filter the decks by.

sort
enum<string>
default:createdAt

The field to sort the decks by. The default is createdAt, and sort order is always descending.

Available options:
createdAt,
updatedAt,
startDate
limit
number

The number of campaigns to return.

page
number
default:1

The page number for pagination.

Required range: x > 0
Example:

1

pageSize
number
default:25

The number of items per page.

Required range: 0 < x <= 25
Example:

50

Response

A list of campaigns

id
string
required

The unique ID of the campaign.

name
string
required

The name of the campaign.

status
enum<string>
required

The status of the campaign.

Available options:
draft,
published,
archived
createdAt
string
required

The creation date of the campaign.

description
string
required

The description of the campaign.

destinationUrl
string | null
required

The destination URL of the campaign.

clicks
number
required

The number of clicks the campaign has received.

shares
number
required

The number of shares the campaign has received.

startDate
string
required

The start date of the campaign.

endDate
string
required

The end date of the campaign.

targetShares
number | null
required

The target shares for the campaign.

hasShared
boolean

Whether the authenticated user has shared this campaign.